Package ru.bitel.bgbilling.modules.softline.server.task

# Class SubscriptionCheckActivateDailyTask

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.modules.softline.server.task.SubscriptionCheckActivateDailyTask

All Implemented Interfaces:
  `java.lang.Runnable`

    public class SubscriptionCheckActivateDailyTask
    extends ru.bitel.bgbilling.kernel.task.server.TaskBase

Задача для ежедневной проверки возможности продления подписок. При запуске берет активные подписки, если дата приостановки стоит текущая, проверяет возможность продления. Если проходит по условиям, то устанавливает наработку и отодвигает дату приостановки Запускается ежедневно перед `SubscriptionSuspendDailyTask`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, log, moduleId, setup, STATUS_FINISHED, STATUS_FINISHED_INTERRUPTED, STATUS_NOTSTARTED, STATUS_WORKING, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SubscriptionCheckActivateDailyTask()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |
  `protected boolean` | `initTask()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getFinishTime, getModuleId, getOperatingTime, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, startTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionCheckActivateDailyTask

    public SubscriptionCheckActivateDailyTask()

- ## Method Details

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`